using PoJun.Dapper.IRepository;
using ASHermed.SinoInterface.Entity.Test;
using System;
using System.Collections.Generic;
using System.Text;
using System.Threading.Tasks;
using ASHermed.SinoInterface.Repository.MySql;
using ASHermed.SinoInterface.Api.ContractModel.App;
using ASHermed.SinoInterface.Api.ContractModel;

namespace ASHermed.SinoInterface.Api.IRepository
{
    
	public interface IDicHosRepository : IBaseRepositoryToASHermed_SinoInterface<Dic_Hos>
    {
        List<HosByLanguage> SelectListByLanguage(int language, int useOccasionType);
        HosByLanguage SelectById(int id, int language);
        List<HosInfoByLanguage> SelectHosWithLanguage(int language);
        HosInfoByLanguage SelectHosByIdWithLanguage(int hosId, int language);

        List<HosByLanguage> SelectByDoctorByLanguage(int id, int language, int type);

        List<HosByLanguage> SelectByDeptLanguage(int deptId, int language, int type);
        List<HosByCity> SelectCity(int language);
        List<Dic_Hos> SelectByDoctor(int doctorId, int type, int cityId);
        Dic_Hos GetHosByHosCode(string code);
        Dic_Hos SelectByHisCode(string hosCode);
        Dic_Hos SelectByPrimaryKey(int hosId);

        Task<List<HosInfo>> GetHosList(string cityName, int language);
        List<Dic_Hos> GetAllHosCity();
        List<Dic_Map_Dept_Doctor> GetForDept(int deptId);
    }
}
